<?php
include "ver_sessao.php";
include "conecta.php";

// print_r($_POST);

function diferenca_dias($data_inicial,$data_final) {


// Usa a função criada e pega o timestamp das duas datas:
	$time_inicial = gera_data($data_inicial);
	$time_final = gera_data($data_final);
	 
	// Calcula a diferença de segundos entre as duas datas:
	$diferenca = $time_final - $time_inicial; // 19522800 segundos
	 
	// Calcula a diferença de dias
	$dias = (int)floor( $diferenca / (60 * 60 * 24)); // 225 dias

	return $dias;	 
}

function exclui_equipamento(){

	$a_executar = carregar('itensaluguel',$_POST[id]);
	atualizar('equipamento','equi_tx_status','Disponivel',$a_executar[iten_nb_equipamento]);
	
	remover('itensaluguel',$_POST[id]);
		
	$_POST[id] = $a_executar[iten_nb_aluguel];
	
	layout_itensaluguel();
	exit;
}


function modifica_equipamento(){
global $a_mod2;
	$a_mod2 = carregar('itensaluguel,equipamento',$_POST[id]);
	atualizar('equipamento','equi_tx_status','Disponivel',$a_mod2[equi_nb_id]);
	$_POST[id] = $a_mod2[iten_nb_aluguel];
	layout_itensaluguel();
	exit;

}


function exclui_aluguel(){

	remover('aluguel',$_POST[id]);
	
	index();
	exit;
}


function modifica_aluguel(){
global $a_mod;
	
	$a_mod = carregar('aluguel,entidade',$_POST[id]);
	
	layout_aluguel();
	exit;
}


function finaliza_aluguel(){

	//echo"!ENTROU!";

	$hoje = date("Y-m-d H:i:s");

	$a_alug=carregar('aluguel',$_POST[id]);
	
	$sql = selecionar('itensaluguel,equipamento','iten_nb_aluguel,iten_tx_status',"$_POST[id],ativo",'ORDER BY iten_nb_id DESC',0);	
	
	while( $a = carrega_array($sql) ) {

		if($a[iten_tx_acao]=='DEVOLVER'){
			
			atualizar('equipamento','equi_tx_status',"Disponivel",$a[iten_nb_equipamento]);
			atualizar('itensaluguel','iten_tx_status',"encerrado",$a[iten_nb_id]);

			$total_valor += ($a[iten_tx_valor]*$a[iten_tx_qtde]);
		}
		
		if($a[iten_tx_acao]=='RENOVAR'){
			$total_valor += ($a[iten_tx_valor]*$a[iten_tx_qtde]);
		}

	}
	
	$valor_final=$total_valor+$a_alug[alug_tx_valor];

	$campos = array(alug_tx_valor,alug_nb_userAtualiza,alug_tx_dataAtualiza);
	$valores = array($valor_final, $_SESSION[user_nb_id], $hoje);
	atualizar('aluguel',$campos,$valores,$_POST[id]);

	$sql = selecionar('itensaluguel,equipamento','iten_nb_aluguel,iten_tx_status',"$_POST[id],ativo",'ORDER BY iten_nb_id DESC',0);	
	if(num_linhas($sql)==0){

		atualizar('aluguel',array('alug_tx_status','alug_tx_retorno'),array('encerrado',gera_data('hoje',1)),$_POST[id]);
	
	}

	$campos = array(movi_tx_tipo,movi_nb_ref,movi_nb_centrocusto,movi_tx_valordoc,movi_tx_status,movi_tx_data,
	movi_tx_parcelas,movi_tx_descricao,movi_nb_planoconta);

	$valores = array(Entrada,$a_alug[alug_nb_entidade],1,$total_valor,ativo,date("Y-m-d"),
	1,"Recebimento do Aluguel n°: $_POST[id]",1);

	inserir('movimento',$campos,$valores,1);

	$movi = ultimo_reg('movimento');

	$campos = array(bole_nb_movimento,bole_tx_valordoc,bole_tx_valor,bole_tx_previsao,bole_tx_vencimento,bole_tx_data,bole_tx_parcela,bole_tx_status,bole_tx_obs,bole_tx_dataCadastro,bole_nb_userCadastro);
	$valores = array($movi,$total_valor,$total_valor,date("Y-m-d"),date("Y-m-d"),date("Y-m-d"),1,encerrado,"Recebimento do Aluguel n°: $_POST[id]",gera_data('hoje',1),$_SESSION[user_nb_id]);
	inserir('boleto',$campos,$valores,1);

	$bole=ultimo_reg('boleto');

	$campos=array('fobo_nb_boleto','fobo_nb_forma','fobo_tx_data','fobo_tx_valor','fobo_tx_status');
	$valores=array($bole,1,$hoje,$total_valor,ativo);

	inserir('fobo',$campos,$valores,1);

	set_status('Aluguel finalizado com sucesso!');
	index();
	exit;
	
}

function abre_equipamento_retorno(){
	global $a_mod_item;
	
	$sql_mod_item=selecionar('itensaluguel,equipamento','iten_tx_status',"!inativo"," AND iten_nb_id = $_POST[id_item]");
	$a_mod_item=carrega_array($sql_mod_item);
	
	layout_item_retorno();
	exit;


}



function cadastra_aluguel(){
	
	if(!$_POST[entidade] || !$_POST[prazo]){
		set_status("ERRO: Preencha todos os campos!");
		if($_POST[id])
			modifica_aluguel();
		else
			layout_aluguel();

		exit;
	}
	if( !$_POST[id]) {
		$hoje = date("Y-m-d H:i:s");
		$campos = array(alug_nb_entidade, alug_tx_data, alug_tx_prazo, alug_tx_status,alug_nb_userCadastro,alug_tx_dataCadastro);
		$valores = array($_POST[entidade], $hoje, gera_data($_POST[prazo],1), Aberto, $_SESSION[user_nb_id], $hoje);
		inserir('aluguel',$campos,$valores,1);
		
		$_POST[id] = ultimo_reg('aluguel');
		
	} else {
		$campos = array(alug_nb_entidade,  alug_tx_prazo, alug_tx_status,alug_nb_userAtualiza,alug_tx_dataAtualiza);
		$valores = array($_POST[entidade], gera_data($_POST[prazo],1), Aberto, $_SESSION[user_nb_id], $hoje);
		atualizar('aluguel',$campos,$valores,$_POST[id]);
	}
	
	layout_itensaluguel();
	exit;
}

function cadastra_itemaluguel(){
	
	//se não digitar quantidade
	$_POST[qtde]=1;
	

	$a_equi=carregar('preco,equipamento','','prec_nb_planosaude,equi_nb_id',"1,$_POST[equipamento]");

	

	if($_POST[tipo]=='Diaria')
		$equi_valor=$a_equi[prec_tx_valorDia];
	else
		$equi_valor=$a_equi[prec_tx_valorMes];

	$hoje = date("Y-m-d H:i:s");

	if( $_POST[id_itemaluguel] == '') {
		
		$campos = array(iten_nb_aluguel,iten_tx_tipo, iten_nb_equipamento,iten_tx_qtde,iten_tx_valor,iten_tx_status);
		$valores = array($_POST[id],$_POST[tipo],$_POST[equipamento],$_POST[qtde],$equi_valor,ativo);
		inserir('itensaluguel',$campos,$valores,1);

		$id_item=ultimo_reg('itensaluguel');
		atualizar('equipamento','equi_tx_status','Locado',$_POST[equipamento]);
	} else {
		$campos = array(iten_nb_aluguel,iten_tx_tipo, iten_nb_equipamento,iten_tx_qtde,iten_tx_valor,iten_tx_status);
		$valores = array($_POST[id],$_POST[tipo],$_POST[equipamento],$_POST[qtde],$equi_valor,ativo);
		atualizar('itensaluguel',$campos,$valores, $_POST[id_itemaluguel]);
	}
	
	layout_itensaluguel();
	exit;
}

function layout_itensaluguel(){
global $a_mod2;

	//if($_POST[acao] == 'exclui_equipamento' || $_POST[acao] == 'modifica_equipamento'){
		//$item = carregar('itensaluguel',"$_POST[id]");
		//$_POST[id] = $item[iten_nb_aluguel];
	//}
	
	
	cabecalho('Itens do Aluguel',2);
	
	$sql = selecionar('aluguel','alug_nb_id, alug_tx_status',"$_POST[id],!inativo",'',0);
	$a = carrega_array($sql);
	
	$entidade = carregar('entidade', "$a[alug_nb_entidade]");
	
	$t[] = cactux::texto('Data Locação:',data($a[alug_tx_data],1),2);
	$t[] = cactux::texto('Prazo:',data($a[alug_tx_prazo],1),2);
	$t[] = cactux::texto('Entidade:',$entidade[enti_tx_nome],4);	
	
	cactux::abre_form();
	cactux::abre_fieldset('Informações do Aluguel');
	cactux::linha_fieldset($t[0],$t[1],$t[2]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	
	// CADASTRO DE PRODUTOS
	cactux::abre_form();
	cactux::abre_fieldset('Informações dos Produtos');
	// $equipamento = cactux::combo_bd('!Produto:','equipamento',$a_mod2[iten_nb_equipamento],$a_mod2[iten_nb_equipamento],5,'equipamento','',"1  ORDER BY equi_tx_nome");	
	$equipamento = cactux::combo_net('Equipamento:','equipamento',$a_mod2[iten_nb_equipamento],$a_mod2[equi_tx_nome],5,array("busca_div_equip.php","busca_net_equip.php"));
	$tipo = cactux::combo('Tipo:','tipo',array('Diaria','Mensal'),$a_mod2[iten_tx_tipo],2);
	//$qtde = cactux::campo('Quantidade:','qtde',$a_mod2[iten_tx_qtde],2);
	//$valor = cactux::campo('Valor:','valor',$a_mod2[iten_tx_valor],2, MASCARA_VALOR);
	
	//BOTÃO
	$voltar = cactux::botao("Voltar",2,'voltar');
	$finalizar = cactux::botao("Finalizar",2,'finalizar');
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_itemaluguel','id,id_itemaluguel',"$_POST[id], $a_mod2[iten_nb_id]");
	$status = cactux::msg_status();
	
	cactux::linha_fieldset($equipamento,$tipo,$qtde,$valor);
	cactux::linha_fieldset($voltar,$gravar,$finalizar, $status);
	cactux::fecha_fieldset();

	//campo_hidden('valor_total_hidden1','0');
	cactux::fecha_form();
	
	
	// SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql = selecionar('itensaluguel,equipamento','iten_nb_aluguel,iten_tx_status',"$_POST[id],ativo",'ORDER BY iten_nb_id DESC',0);	
	
	while( $a = carrega_array($sql) ) {

		$modificar = ".icone_modificar($a[iten_nb_id],modifica_equipamento)";
		$excluir = ".icone_excluir($a[iten_nb_id],exclui_equipamento)";
	
		$valores[] = array($a[iten_nb_id],$a[equi_tx_nome],$a[iten_tx_tipo],"R$ ".mostra_valor($a[iten_tx_valor]),$modificar,$excluir);
	
		$total_qtde += $a[iten_tx_qtde];
		$total_valor += ($a[iten_tx_valor]*$a[iten_tx_qtde]);
	}
	
	$valores[] = array('','','<b>TOTAL:</b>',"<b>R$".mostra_valor($total_valor),'','');
	
	$cabecalho[] = array('COD','PRODUTO','TIPO','VALOR UN.','','');
	$cabecalho[] = 'c,e,c,c';
	$cabecalho[] = '5%,,15%,15%,2%,2%';

	cactux::acao_botao('voltar','modifica_aluguel','id',$_POST[id]);
	cactux::acao_botao('finalizar','index');
	cactux::acao_botao('avanca','layout_finaliza_aluguel','id',"$_POST[id]");
	
	grid::gerar($cabecalho,$valores);
	
	
	
	rodape();

}

function cadastra_retorno(){

	$id_check = $_POST[id_check];

	//caso o numero de ids seja zero ele reativa todos os itens e sai (assim ele nao da erro no not in() )
	if(count($id_check)==0){
		
		$sql = selecionar('itensaluguel,equipamento','iten_nb_aluguel,iten_tx_status',"$_POST[id],!inativo"," ORDER BY iten_nb_id DESC");
		while( $a = carrega_array($sql) ) {
			atualizar('itensaluguel',array('iten_tx_status','iten_tx_recebimento'),array("ativo",NULL),$a[iten_nb_id]);
			atualizar('equipamento','equi_tx_status','Locado',$a[equi_nb_id]);
		}

		// set_status("ERRO: Preencha o(s) esquipamento(s) retornado(s)!");
		layout_retorno();
		exit;
	}


	//aki ele efetivamente da baixa nos itens seleconados gravando o status e a data e hora
	for($i=0;$i<count($id_check);$i++){
		$a_iten=carregar('itensaluguel,equipamento',$id_check[$i]);

		$id_notin.=",$id_check[$i]";

		if($a_iten[iten_tx_status]!='Locado'){
			atualizar('itensaluguel',array('iten_tx_status','iten_tx_recebimento'),array("Locado",gera_data($_POST[retorno],1)),$id_check[$i]);
			atualizar('equipamento','equi_tx_status','Disponivel',$a_iten[equi_nb_id]);
			
		}

	}

	//CASO UM ITEM SEJA DESMARCADO ELE VERIFICA OS IDS QUE 'NAO' ESTAO NA LISTA DE ITENS PARA ATIVAR NOVAMENTE 
	$id_notin=substr($id_notin,1);

	$sql = selecionar('itensaluguel,equipamento','iten_nb_aluguel,iten_tx_status',"$_POST[id],!inativo"," AND iten_nb_id NOT IN ($id_notin) ORDER BY iten_nb_id DESC");
	while( $a = carrega_array($sql) ) {
		atualizar('itensaluguel',array('iten_tx_status','iten_tx_recebimento'),array("ativo",NULL),$a[iten_nb_id]);
		atualizar('equipamento','equi_tx_status','Disponivel',$a[equi_nb_id]);

	
	}

	//ESSE TRECHO VERIFICA SE O NUMERO DE IDS_CHECK É IQUAL AO TOTAL DE ITENS SE SIM ELE ENCERRA O ALUGUEL DE ITENS
	$sql = selecionar('itensaluguel,aluguel,equipamento','iten_nb_aluguel,iten_tx_status',"$_POST[id],!inativo"," ORDER BY iten_nb_id DESC");
	if(num_linhas($sql) == count($id_check)){
		$a_alug=carrega_array($sql);
		atualizar('aluguel',array('alug_tx_status','alug_tx_retorno'),array('Encerrado',gera_data('hoje',1)),$_POST[id]);

		$campos = array(movi_tx_tipo,movi_nb_ref,movi_nb_centrocusto,movi_tx_valordoc,movi_tx_status,movi_tx_data,
		movi_tx_parcelas,movi_tx_descricao,movi_nb_planoconta);

		$valores = array(Entrada,$a_alug[alug_nb_entidade],30,$a_alug[alug_tx_valor],ativo,date("Y-m-d"),
		1,"Recebimento do Aluguel n°: $_POST[id]",146);

		inserir('movimento',$campos,$valores,1);
	
		$movi = ultimo_reg('movimento');
	
		$campos = array(bole_nb_movimento,bole_tx_valordoc,bole_tx_valor,bole_tx_previsao,bole_tx_vencimento,bole_tx_data,bole_tx_parcela,bole_tx_status,bole_tx_obs,bole_tx_dataCadastro,bole_nb_userCadastro);
		$valores = array($movi,$a_alug[alug_tx_valor],$a_alug[alug_tx_valor],date("Y-m-d"),date("Y-m-d"),date("Y-m-d"),1,encerrado,"Recebimento do Aluguel n°: $_POST[id]",gera_data('hoje',1),$_SESSION[user_nb_id]);
		inserir('boleto',$campos,$valores,1);
		
		// echo gera_data($_POST[retorno],1);
		// print_r($_POST);
		// index();
		// exit;


	}
	



	// print_r($_POST);
	layout_retorno();
	exit;
}

function cadastra_item_retorno(){

	$a=carregar('itensaluguel,equipamento',$_POST[id_item_ret]);
	$a_equi=carregar('preco,equipamento','','prec_nb_planosaude,equi_nb_id',"1,$a[equi_nb_id]");

	if($_POST[tipo]=='Diaria')
		$valor=$a_equi[prec_tx_valorDia];
	else
		$valor=$a_equi[prec_tx_valorMes];


	$campos=array(iten_tx_acao,iten_tx_tipo,iten_tx_valor);
	$valores=array($_POST[situacao],$_POST[tipo],$valor);
	atualizar('itensaluguel',$campos,$valores,$_POST[id_item_ret]);

	if($_POST[situacao]=='DEVOLVER')
		atualizar('itensaluguel','iten_tx_recebimento',$_POST[data_rec],$_POST[id_item_ret]);


	layout_retorno();
	exit;

}


function layout_item_retorno(){
	global $a_mod_item;

	if($a_mod_item[iten_tx_recebimento] == '' || $a_mod_item[iten_tx_recebimento] == '0000-00-00 00:00:00' );
		$a_mod_item[iten_tx_recebimento]=date("Y-m-d");

	// print_r($a_mod_item);

	cabecalho('');

	cactux::abre_form();

	$equipamento = cactux::texto('Equipamento:',$a_mod_item[equi_tx_nome],3);
	$tipo = cactux::combo('Tipo:','tipo',array('Diaria','Mensal'),$a_mod_item[iten_tx_tipo],2);
	$situacao = cactux::combo('Ação:','situacao',array('','DEVOLVER','RENOVAR'),$a_mod_item[iten_tx_acao],2);
	$data_recebimento = cactux::campo('Data de Recebimento:','data_rec',data($a_mod_item[iten_tx_recebimento],1),2, MASCARA_DATA);
	

	$voltar=cactux::botao('Voltar',2,'voltar');
	$gravar=cactux::botao_submit('Gravar',2,'cadastra_item_retorno','id,id_item_ret',"$_POST[id],$a_mod_item[iten_nb_id]");

	cactux::abre_fieldset('Dados do Equipamento');
	cactux::linha_fieldset($equipamento,$tipo,$situacao,$data_recebimento);
	cactux::linha_fieldset($voltar,$gravar);
	cactux::fecha_fieldset();



	cactux::fecha_fieldset();
	
	cactux::fecha_form();

	cactux::acao_botao('voltar','layout_retorno','id,id_itemaluguel',"$_POST[id],$a_mod2[iten_nb_id]");


}	

function layout_retorno(){
global $a_mod2;
global $a_mod_item;

	//if($_POST[acao] == 'exclui_equipamento' || $_POST[acao] == 'modifica_equipamento'){
		//$item = carregar('itensaluguel',"$_POST[id]");
		//$_POST[id] = $item[iten_nb_aluguel];
	//}

	
	if($a_mod[alug_tx_retorno] == '' || $a_mod[alug_tx_retorno] == '0000-00-00')
		$a_mod[alug_tx_retorno]=date("Y-m-d");
	
	cabecalho('Itens do Aluguel',2);
	
	$sql = selecionar('aluguel','alug_nb_id, alug_tx_status',"$_POST[id],!inativo",'');
	$a = carrega_array($sql);
	
	$entidade = carregar('entidade', "$a[alug_nb_entidade]");
	
	$t[] = cactux::texto('Código:',$a[alug_nb_id],1);
	$t[] = cactux::texto('Cliente:',$entidade[enti_tx_nome],5);	
	$t[] = cactux::texto('Data Locação:',data($a[alug_tx_data],1),2);
	
	cactux::abre_form();
	cactux::abre_fieldset('Informações do Aluguel');
	cactux::linha_fieldset($t[0],$t[1],$t[2]);
//	cactux::fecha_fieldset();
	
	
//	cactux::abre_fieldset('Informações dos Produtos');

//	$c[] = cactux::campo('Data de Retorno:','retorno',data($a_mod[alug_tx_retorno],1),2, MASCARA_DATA);
		
	//BOTÃO
	$voltar = cactux::botao("Voltar",2,'voltar');
	$finalizar = cactux::botao("Finalizar",2,'finalizar');
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_retorno','id,id_itemaluguel',"$_POST[id], $a_mod2[iten_nb_id]");
	$status = cactux::msg_status();
	
//	cactux::linha_fieldset($c[0]);
	cactux::linha_fieldset($voltar,$gravar,$finalizar, $status);
	cactux::fecha_fieldset();

	

	cactux::fecha_form();

	//campo_hidden('valor_total_hidden1','0');

	$cabecalho[] = array('CÓD','EQUIPAMENTO','RECEBIMENTO','TIPO','DIAS','VALOR UN.','VALOR','SITUAÇÃO','AÇÃO','');
	$cabecalho[] = 'c,e,c,c,c';
	$cabecalho[] = '5%,,10%,8%,6%,10%,10%,10%,10%,2%';
	
	
	// SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql = selecionar('itensaluguel,aluguel,equipamento','iten_nb_aluguel,iten_tx_status',"$_POST[id],ativo",'ORDER BY iten_nb_id DESC',0);	
	
	while( $a = carrega_array($sql) ) {

		if($a[iten_tx_recebimento]!='' && $a[iten_tx_recebimento] != '0000-00-00 00:00:00') {
			$data_recebimento=data($a[iten_tx_recebimento],1);
			$situacao = 'Devolvido';
		} else {
			$data_recebimento='';
			$situacao = 'Aberto';
		}
		

		$icone_modificar = ".icone_modificar($_POST[id],'abre_equipamento_retorno','id_item',$a[0])";
		
		$dias = diferenca_dias(data($a[alug_tx_data],1),date('d/m/Y'));
		
		if( $a[iten_tx_tipo] == 'Diaria' )
			$total = $a[iten_tx_qtde]*$a[iten_tx_valor];
		else
			$total = $a[iten_tx_valor];
		
		$valores[] = array($a[iten_nb_id],$a[equi_tx_nome],$data_recebimento,$a[iten_tx_tipo],$dias,"R$ ".mostra_valor($a[iten_tx_valor]),"R$ ".mostra_valor($total),$situacao,$a[iten_tx_acao],$icone_modificar);
	
		$total_qtde += $a[iten_tx_qtde];
		$total_valor += ($a[iten_tx_valor]*$a[iten_tx_qtde]);
	}

	
	
	$valores[] = array('','','','','','<b>TOTAL:</b>',"<b>R$".mostra_valor($total_valor),'','','');
	

	
	grid::gerar($cabecalho,$valores);
	
	cactux::acao_botao('voltar','index');
	cactux::acao_botao('finalizar','finaliza_aluguel','id',$_POST[id]);
	cactux::acao_botao('avanca','layout_finaliza_aluguel','id',"$_POST[id]");
	
	
	
	rodape();

}




function layout_aluguel(){
	
	global $a_mod;
	
	cabecalho('Aluguel',3);

	if($a_mod[alug_tx_data] == '')
		$a_mod[alug_tx_data]=date("Y-m-d");
	
	$c[] = cactux::campo('Data de Locação:','data',data($a_mod[alug_tx_data],1),2, MASCARA_DATA."disabled=disabled");
	$c[] = cactux::campo('Previsão de Retorno:','prazo',data($a_mod[alug_tx_prazo],1),2, MASCARA_DATA);
	//$c[] = cactux::combo_bd('!Entidade:','entidade',$a_mod[enti_nb_id],$a_mod[enti_tx_nome],5,'entidade','',"1  ORDER BY enti_tx_nome");	
	// $c[] = cactux::combo_net('Cliente:','entidade',$a_mod[enti_nb_id],$a_mod[enti_tx_nome],5,array("busca_div.php?c=entidade","busca_net.php?c=entidade"));
	$c[] = cactux::combo_net('!Cliente:','entidade',$a_mod[enti_nb_id],$a_mod[enti_tx_nome],5,array('busca_div.php?c=cliente','busca_net.php?c=cliente'));	
	

	$voltar = cactux::botao("Voltar",2,'voltar');
	$insere = cactux::botao_submit("Avançar",2,'cadastra_aluguel','id',$_POST[id]);
	$status = cactux::msg_status();
	
	cactux::abre_form();

	cactux::abre_fieldset('Informações do Aluguel');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($voltar,$insere,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	acao_botao('voltar','index');
	

}


function layout_imprimir(){

	cabecaRelatorio('Detalhes do Aluguel',2);
	
	$sql = selecionar('aluguel','alug_nb_id, alug_tx_status',"$_POST[id],!inativo",'',0);
	$a = carrega_array($sql);
	
	$entidade = carregar('entidade', "$a[alug_nb_entidade]");
	
	$t[] = cactux::texto('Código:',$a[alug_nb_id],1);
	$t[] = cactux::texto('Cliente:',$entidade[enti_tx_nome],5);	
	$t[] = cactux::texto('Data:',data($a[alug_tx_data],1),2);
	$t[] = cactux::texto('Previsão:',data($a[alug_tx_prazo],1),2);
	
	cactux::abre_form();
	cactux::abre_fieldset('Informações do Aluguel');
	cactux::linha_fieldset($t[0],$t[1],$t[2],$t[3]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	
	
	
	// SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql = selecionar('itensaluguel,equipamento','iten_nb_aluguel,iten_tx_status',"$_POST[id],!inativo",'ORDER BY iten_nb_id DESC',0);	
	
	while( $a = carrega_array($sql) ) {

		$modificar = ".icone_modificar($a[iten_nb_id],modifica_equipamento)";
		$excluir = ".icone_excluir($a[iten_nb_id],exclui_equipamento)";
	
		$valores[] = array($a[iten_nb_id],$a[equi_tx_nome],$a[iten_tx_tipo],"R$ ".mostra_valor($a[iten_tx_valor]), $a[iten_tx_qtde],"R$ ".mostra_valor($a[iten_tx_qtde]*$a[iten_tx_valor]));
		$total_qtde += $a[iten_tx_qtde];
		$total_valor += ($a[iten_tx_valor]*$a[iten_tx_qtde]);
		
	}
	
	$valores[] = array('','<b>TOTAL:</b>','','',"<b>$total_qtde","<b>R$".mostra_valor($total_valor));
	
	$cabecalho[] = array('COD','PRODUTO','TIPO','VALOR UN.','QUANTIDADE','VALOR');
	$cabecalho[] = 'c,e,c,c';
	$cabecalho[] = '5%,,15%,15%,15%,15%';
	$cabecalho[] = '98%';

	echo"<br>";

	grid::gerar($cabecalho,$valores);
	
	
	
	rodape();



}

function index(){

	cabecalho('Aluguel',2);
	
	//BUSCAS
	if($_POST[busca_codigo]!='')
		$extra .= " AND alug_nb_id = '$_POST[busca_codigo]'";
	
	if($_POST[busca_entidade]!=''){
		$extra .= " AND alug_nb_entidade = '$_POST[busca_entidade]'";
		$a_ent=carregar('entidade',$_POST[busca_entidade]);
	}
	if($_POST[busca_filtro] == 'Locação'){
		if( $_POST[busca_data1] )
			$extra .= " AND alug_tx_data >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
		if( $_POST[busca_data2] )
			$extra .= " AND alug_tx_data <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	}

	if($_POST[busca_filtro] == 'Retorno'){
		if( $_POST[busca_data1] )
			$extra .= " AND alug_tx_retorno >= '".gera_data($_POST[busca_data1],1)."'";
		if( $_POST[busca_data2] )
			$extra .= " AND alug_tx_retorno <= '".gera_data($_POST[busca_data2],1)."'";
	}

	if($_POST[busca_filtro] == 'Prazo'){
		if( $_POST[busca_data1] )
			$extra .= " AND alug_tx_prazo >= '".gera_data($_POST[busca_data1],1)."'";
		if( $_POST[busca_data2] )
			$extra .= " AND alug_tx_prazo <= '".gera_data($_POST[busca_data2],1)."'";
	}
	
	// CAMPOS
	$c[] = cactux::campo('Código:','busca_codigo',$_POST[busca_codigo],1);
	// $c[] = cactux::combo_bd('!Entidade:','busca_entidade',$_POST[busca_entidade],$a_ent[enti_nb_id],5,'entidade','',"1  ORDER BY enti_tx_nome");	
	$c[] = cactux::combo_net('!Paciente:','busca_entidade',$_POST[busca_entidade],$_POST[nome_busca_entidade],5,array('busca_div.php?c=cliente','busca_net.php?c=cliente'));	
	
	$c[] = cactux::campo('Data Inicial:','busca_data1',$_POST[busca_data1],1, MASCARA_DATA);
	$c[] = cactux::campo('Data Final:','busca_data2',$_POST[busca_data2],1, MASCARA_DATA);
	$c[] = cactux::combo('Filtro Data:','busca_filtro',array('Locação','Prazo','Retorno'),$_POST[busca_filtro],2);	


	$botao = cactux::botao_submit_busca("Buscar",2,'index');
	$insere = cactux::botao("Inserir",2,'inserir');
	$status = cactux::msg_status();
	
	cactux::abre_form();

	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($botao,$insere,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();

	acao_botao('inserir','layout_aluguel');

	$sql = selecionar('aluguel,entidade','alug_tx_status',"!inativo"," $extra ORDER BY alug_nb_id DESC",1);
	$BUSCA = grid::gerar_paginacao($sql);

	// inicio do grid
	
	$cabeca[] = array('CÓD','LOCAÇÃO','PRAZO','RETORNO','ENTIDADE','SITUAÇÃO','VALOR','','','','');
	$cabeca[] = 'c,c,c,c,e,e,c,c';
	$cabeca[] = '5%,10%,10%,10%,,12%,12%,2%,2%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ) {

		$imprimir = ".icone_modificar($a[0],'layout_imprimir','','','','target=_blank','','/cactus/imagens/imprimir.png')";
		$modificar = ".icone_modificar($a[0],'modifica_aluguel')";
		$excluir = ".icone_excluir($a[0],'exclui_aluguel')";


		if($a[alug_tx_status]!='encerrado')
			$retorno = ".icone_modificar($a[0],'layout_retorno','','','','','','/cactus/imagens/door_in.png')";
		else{
			$retorno = "";
			$excluir = $imprimir;
			$imprimir='';
			$modificar='';
		}



		$sql_item=selecionar('itensaluguel','iten_tx_status',"!inativo"," AND iten_nb_aluguel='$a[alug_nb_id]'");
		while($a_item=carrega_array($sql_item)){
			$valor+=($a_item[iten_tx_qtde]*$a_item[iten_tx_valor]);
		}
		
		$valores[] = array($a[alug_nb_id],data($a[alug_tx_data],1),data($a[alug_tx_prazo],1),data($a[alug_tx_retorno],1),$a[enti_tx_nome],ucfirst($a[alug_tx_status]),mostra_valor($valor),$retorno,$imprimir,$modificar,$excluir);
		unset($valor);
	}
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);
}

controle();
?>